<?php
/**
 * @category    Pinpoint
 * @package     Pinpoint_AuthorComments
 * @copyright   Copyright (c) 2019 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Ahmed Goda <ahmed.goda@bytology.co.uk>
 */

namespace Pinpoint\AuthorComments\Observer;

/**
 * AddOrderStatusComment Class
 */
class AddOrderStatusComment implements \Magento\Framework\Event\ObserverInterface
{

    /**
     * {@inheritdoc}
     */
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        try {
            $statusHistory = $observer->getEvent()->getStatusHistory();

            $authSession = \Magento\Framework\App\ObjectManager::getInstance()->create(\Magento\Backend\Model\Auth\Session::class);
            $user = $authSession->getUser();
            $author = $user->getFirstname() . ' ' . $user->getLastname();

            $statusHistory->setAuthorComment($author);
        } catch (\Exception $e) {
            $this->logger->error($e);
        }
    }
}